json
{
"PackageId": "PID-9a8435dc-ca6e-4a98-b761-5e6dc04447db",
"PackageItemId": "PIID-a102d17b-09a9-4096-a597-e48c055d8d6d",
"Price": "1.12",
"Monthly": false,
"Type": "mvno"
}curl -X POST https://api.telegent.com/v1.0/packages/items/update \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"PackageId": "PID-9a8435dc-ca6e-4a98-b761-5e6dc04447db",
"PackageItemId": "PIID-a102d17b-09a9-4096-a597-e48c055d8d6d",
"Price": "1.12",
"Monthly": false,
"Type": "mvno"
}'import requests
url = "https://api.telegent.com/v1.0/packages/items/update"
payload = {
"PackageId": "PID-9a8435dc-ca6e-4a98-b761-5e6dc04447db",
"PackageItemId": "PIID-a102d17b-09a9-4096-a597-e48c055d8d6d",
"Price": "1.12",
"Monthly": False,
"Type": "mvno"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
PackageId: 'PID-9a8435dc-ca6e-4a98-b761-5e6dc04447db',
PackageItemId: 'PIID-a102d17b-09a9-4096-a597-e48c055d8d6d',
Price: '1.12',
Monthly: false,
Type: 'mvno'
})
};
fetch('https://api.telegent.com/v1.0/packages/items/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"PackageItemId": "PIID-4efee842-16f0-4803-9780-8c3c30d19b74",
"PackageId": "PID-9a8435dc-ca6e-4a98-b761-5e6dc04447db",
"ProductId": "PRID-9E4F3852-5405-E9FC-2FDF-7A0530B7D862",
"AggregatorId": "AGID-1e24785ab-3f3c-7db1-89d7-956d80fdnn2",
"DistributorId": "DID-1e24785ab-3f3c-7db1-89d7-956d80fdnn2",
"Type": "Type 3",
"Price": 1.12,
"Monthly": false,
"Active": true
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Packages
Update Package Item
Update an existing item within a package. Modify price, type, or billing frequency for the package item.
What this does: Returns the updated package item record. Use this to adjust pricing or billing frequency for a product within a specific package without affecting the product definition itself.
Next steps:
- Confirm the update —
GET /v1.0/packages/items
POST
/
v1.0
/
packages
/
items
/
update
json
{
"PackageId": "PID-9a8435dc-ca6e-4a98-b761-5e6dc04447db",
"PackageItemId": "PIID-a102d17b-09a9-4096-a597-e48c055d8d6d",
"Price": "1.12",
"Monthly": false,
"Type": "mvno"
}curl -X POST https://api.telegent.com/v1.0/packages/items/update \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"PackageId": "PID-9a8435dc-ca6e-4a98-b761-5e6dc04447db",
"PackageItemId": "PIID-a102d17b-09a9-4096-a597-e48c055d8d6d",
"Price": "1.12",
"Monthly": false,
"Type": "mvno"
}'import requests
url = "https://api.telegent.com/v1.0/packages/items/update"
payload = {
"PackageId": "PID-9a8435dc-ca6e-4a98-b761-5e6dc04447db",
"PackageItemId": "PIID-a102d17b-09a9-4096-a597-e48c055d8d6d",
"Price": "1.12",
"Monthly": False,
"Type": "mvno"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
PackageId: 'PID-9a8435dc-ca6e-4a98-b761-5e6dc04447db',
PackageItemId: 'PIID-a102d17b-09a9-4096-a597-e48c055d8d6d',
Price: '1.12',
Monthly: false,
Type: 'mvno'
})
};
fetch('https://api.telegent.com/v1.0/packages/items/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"PackageItemId": "PIID-4efee842-16f0-4803-9780-8c3c30d19b74",
"PackageId": "PID-9a8435dc-ca6e-4a98-b761-5e6dc04447db",
"ProductId": "PRID-9E4F3852-5405-E9FC-2FDF-7A0530B7D862",
"AggregatorId": "AGID-1e24785ab-3f3c-7db1-89d7-956d80fdnn2",
"DistributorId": "DID-1e24785ab-3f3c-7db1-89d7-956d80fdnn2",
"Type": "Type 3",
"Price": 1.12,
"Monthly": false,
"Active": true
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Body
application/json
Response
Update Package Item
The response is of type object.
⌘I